﻿
/* DESKTOP PATCH */
#loaderImage {
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    background-color: rgba(0,0,0,0.7);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1001;
}

#loaderImage .loader {
    font-size: 35px;
    width: 1em;
    height: 1em;
    border-radius: 50%;
    position: relative;
    text-indent: -9999em;
    -webkit-animation: load5 1.1s infinite ease;
    animation: load5 1.1s infinite ease;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
}

#loaderImage .text {
    position: absolute;
    font-size: 25px;
    margin-top: 250px;
    color: #fff;
}

@-webkit-keyframes load5 {
    0%, 100% {
        box-shadow: 0em -2.6em 0em 0em #ffffff, 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.5), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.7);
    }

    12.5% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.7), 1.8em -1.8em 0 0em #ffffff, 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.5);
    }

    25% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.5), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.7), 2.5em 0em 0 0em #ffffff, 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    37.5% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.5), 2.5em 0em 0 0em rgba(255, 255, 255, 0.7), 1.75em 1.75em 0 0em #ffffff, 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    50% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.5), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.7), 0em 2.5em 0 0em #ffffff, -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    62.5% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.5), 0em 2.5em 0 0em rgba(255, 255, 255, 0.7), -1.8em 1.8em 0 0em #ffffff, -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    75% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.5), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.7), -2.6em 0em 0 0em #ffffff, -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    87.5% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.5), -2.6em 0em 0 0em rgba(255, 255, 255, 0.7), -1.8em -1.8em 0 0em #ffffff;
    }
}

@keyframes load5 {
    0%, 100% {
        box-shadow: 0em -2.6em 0em 0em #ffffff, 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.5), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.7);
    }

    12.5% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.7), 1.8em -1.8em 0 0em #ffffff, 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.5);
    }

    25% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.5), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.7), 2.5em 0em 0 0em #ffffff, 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    37.5% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.5), 2.5em 0em 0 0em rgba(255, 255, 255, 0.7), 1.75em 1.75em 0 0em #ffffff, 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    50% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.5), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.7), 0em 2.5em 0 0em #ffffff, -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    62.5% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.5), 0em 2.5em 0 0em rgba(255, 255, 255, 0.7), -1.8em 1.8em 0 0em #ffffff, -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    75% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.5), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.7), -2.6em 0em 0 0em #ffffff, -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    87.5% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.5), -2.6em 0em 0 0em rgba(255, 255, 255, 0.7), -1.8em -1.8em 0 0em #ffffff;
    }
}

table#ExaminingBalanceReportTable {
    width: 100% !important;    
}

table.table-custom th {
    text-align: center;
}

table.table-custom thead tr {
    border-top: solid 3px #2C6DE9;
    background-color: #FFF;
}

table.dataTable tr.dtrg-group td {
    background-color: #FAFBFB !important;
}

#TableStatusForWork h6 {    
    height: 38px;
    line-height: 38px;
    vertical-align: middle;
    text-align:center;
    padding: 0 8px;
}

#ApproveBtn {
    vertical-align: top;
}

.form-control {
    text-align: right;
}
.form-control:focus {
    border: 1px dotted #9c9999;
}

label, /*.content-invoices label,*/ .content-invoices a {
    height: 38px;
    line-height: 38px;
    vertical-align: middle;
}

.buttons {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}
.buttons button {
    padding: 14px 14px;    
    flex-grow: 1;
}
.buttons button > ion-icon {
    font-size: 24px;
    vertical-align: middle;
    pointer-events: none; /*disable icon title*/
}

table.table-options {
    margin-bottom: 8px;
    direction: rtl;
}
table.table-options td {
    padding: 0 0 0 12px;
    vertical-align: middle;
}

.font-xs {
    font-size: 11px !important;
}

.pt-10 {
    padding-top: 10px !important;
}
.pt-12 {
    padding-top: 12px !important;
}
.pb-10 {
    padding-bottom: 10px !important;
}
.pb-12 {
    padding-bottom: 12px !important;
}

.card {
    border-radius: 0;
}
.card.card-border-left {
    border-left: 1px dotted #9c9999;
}
.card.card-border-right {
    border-right: 1px dotted #9c9999;
}

.relative .blended-counter {
    position: relative !important;
}
.blended-counter > span {
    position: absolute;
    bottom: 0;
    right: 0;
    right: var(--right);        
    color: var(--color);
    font-size: 11px;
    font-weight: bold;
    text-align: center;
    /*
    background-color: #fff;
    border-radius: 6px;
    padding: 2px;  
    */
}

.invoice-create-btn {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-bottom: 20px;
}
.invoice-create-btn select, .invoice-create-btn input {
    width: 150px;
}
.invoice-create-btn button {
    padding: 8px 24px;
    flex-grow: 1;    
}
.invoice-create-btn button > ion-icon {
    font-size: 24px;    
    pointer-events: none; /*disable icon title*/
    margin-top: -10px;
}

.top-search-bar {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;    
}
.top-search-bar select, .top-search-bar input {
    width: 150px;
}
.top-search-bar button {
    padding: 8px 24px;
    height: 38px;
}

#CounterLable {
    display: block;
    margin-top: 20px;
    font-size: 16px;
    color: #007bff;    
}
/* MOBILE PATCH */
@media (max-width: 480px) {
}

/* TABLET PATCH */
@media (max-width: 768px) {
    #TableStatusForWork h6 {
        height:unset;
        line-height: unset;
        padding: 0;
        margin: 0;
    }

    .top-search-bar select, .top-search-bar input {
        width: 100%;
    }
}

/* MENU */
.management-menu {
    display: grid;       
    grid-gap: 20px;
    margin-bottom: 30px;    
}

@media (min-width: 468px) {
    .management-menu {
        grid-template-columns: repeat(1, 1fr);
    }
}

@media (min-width: 768px) {
    .management-menu {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (min-width: 968px) {
    .management-menu {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media (min-width: 1500px) {
    .management-menu {
        grid-template-columns: repeat(5, 1fr);
    }
}

.management-menu > a {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    min-width: 220px;
    text-decoration: none;
}

.management-menu > a > div:nth-child(1) {
    width: 100%;
    padding: 20px 0 16px 0;
    border-radius: 8px 8px 0 0;
    background-color: #fff;
    box-sizing: border-box;
    border: dotted 1px #ddd;
    border-bottom: none;
}

.management-menu img {
    width: 100px;
}

.management-menu > a > div:nth-child(2) {
    width: 100%;
    background-color: #000;
    color: #fff;
    font-size: 20px;
    padding: 8px 0;
    border-radius: 0 0 8px 8px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.management-menu > a[data-fill=blue] > div:nth-child(2) {
    background-color: #5A8DEE;
}
.management-menu > a[data-fill=blue] img {
    /* set svg icon color */
    filter: invert(51%) sepia(50%) saturate(2140%) hue-rotate(198deg) brightness(98%) contrast(90%);
}
.management-menu > a[data-fill=green] > div:nth-child(2) {
    background-color: #39DA8A;
}
.management-menu > a[data-fill=green] img {   
    filter: brightness(0) saturate(100%) invert(100%) sepia(36%) saturate(4039%) hue-rotate(70deg) brightness(90%) contrast(89%);
}
.management-menu > a[data-fill=lite-green] > div:nth-child(2) {
    background-color: #71F1B2;
}
.management-menu > a[data-fill=lite-green] img {
    filter: brightness(0) saturate(100%) invert(90%) sepia(5%) saturate(3637%) hue-rotate(87deg) brightness(101%) contrast(83%);
}
.management-menu > a[data-fill=red] > div:nth-child(2) {
    background-color: #FF5B5C;
}
.management-menu > a[data-fill=red] img {    
    filter: brightness(0) saturate(100%) invert(35%) sepia(70%) saturate(1811%) hue-rotate(331deg) brightness(114%) contrast(101%);
}
.management-menu > a[data-fill=mustard] > div:nth-child(2) {
    background-color: #FDAC41;
}
.management-menu > a[data-fill=mustard] img {    
    filter: brightness(0) saturate(100%) invert(73%) sepia(57%) saturate(782%) hue-rotate(328deg) brightness(105%) contrast(98%);
}
.management-menu > a[data-fill=lite-blue] > div:nth-child(2) {
    background-color: #A3BFF3;
}
.management-menu > a[data-fill=lite-blue] img {
    filter: brightness(0) saturate(100%) invert(70%) sepia(56%) saturate(355%) hue-rotate(190deg) brightness(97%) contrast(97%);
}
.management-menu > a[data-fill=turquoise] > div:nth-child(2) {
    background-color: #00CFDD;
}
.management-menu > a[data-fill=turquoise] img {
    filter: brightness(0) saturate(100%) invert(58%) sepia(98%) saturate(1060%) hue-rotate(136deg) brightness(95%) contrast(101%);
}

.time-out-message {
    color: red;
    margin: 30px 0 8px 0;
    text-align: center;
}

.sub-action-link {
    font-size: 11px;
    cursor: pointer;
    text-decoration: none !important;
    color: #9a0606;
}
.sub-action-link:hover {
    color: #f84848;    
}

.convert-to-nis-wrapper {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 6px;
}

.convert-to-nis-wrapper > span {
    color: brown;
    font-size: 14px;
    font-weight: bold;
}

.convert-to-nis-wrapper > span > i {
    font-size: 12px;
}

a.row-convert-nis {
    font-size: 11px !important;    
}

.dropdown-notification .notification-text > i {
    font-size: 10px;
    color: #FF5B5C;
}

/* PDF Reader */
#adobe-dc-view, #adobe-dc-popup1-view, #adobe-dc-popup2-view {
    width: unset;
}

#adobe-dc-popup1-view, #adobe-dc-popup2-view {
    height: 600px;
}

@media (max-width: 468px) {
    #adobe-dc-view, #adobe-dc-popup1-view, #adobe-dc-popup2-view {
        height: 850px;
    }
}
